stages:
  - deploy

Deploy docker image:
  stage: deploy
  image: docker:latest
  services:
    - docker:dind
  script:
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - docker build -t $CI_REGISTRY/nlp/ahisto-modules/ocr-fileformat .
    - docker push $CI_REGISTRY/nlp/ahisto-modules/ocr-fileformat
    - docker rmi $CI_REGISTRY/nlp/ahisto-modules/ocr-fileformat